%global packname  AnnotationDbi
%global Rvers     2.9.0
%global bioc      2.4

Name:             R-%{packname}
Version:          1.6.1
Release:          1%{?dist}
Summary:          Annotation Database Interface

Group:            Applications/Engineering 
License:          Artistic 2.0 
URL:              http://bioconductor.org/packages/%{bioc}/bioc/html/%{packname}.html
Source0:          http://bioconductor.org/packages/%{bioc}/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

# The suggested requirement are not added here based on:
# - the amount
# - they are mostly database (content)
# - circular dependancies (such as with hgu95av2)
Requires:         R >= %{Rvers} R-methods R-utils 
Requires:         R-Biobase R-DBI R-RSQLite
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex R >= %{Rvers} R-methods 
BuildRequires:    R-utils R-Biobase R-DBI R-RSQLite 

%description
Provides user interface and database connection code  for annotation 
data packages using SQLite data storage.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)

rm -rf %{buildroot}%{_datadir}/R/library/R.css

rm -f %{buildroot}%{_datadir}/R/library/AnnotationDbi/ProbePkg-template/data/.dummy.txt

%check
# Not performed, the list of metadata asked is too long and not mandatory
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/latex
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/man
%doc %{_datadir}/R/library/%{packname}/NEWS
%doc %{_datadir}/R/library/%{packname}/TODO
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/R-ex
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/AnnDbPkg-templates
%{_datadir}/R/library/%{packname}/ProbePkg-template
%{_datadir}/R/library/%{packname}/DBschemas
%{_datadir}/R/library/%{packname}/extdata
%{_datadir}/R/library/%{packname}/NOTES-Herve


%changelog
* Sat Aug 01 2009 pingou <pingou@pingoured.fr> 1.6.1-1
- Update to 1.6.1

* Wed May 06 2009 pingou <pingou@pingoured.fr> 1.6.0-1
- initial package for Fedora
